#!/bin/bash
#
# run in your HOME-directory with: sudo sh getlaz.sh  (HR)
#
# (C)by: Michael Van Canneyt (michael@freepascal.org)
#
# Release from: 2016-01-30  (HR)
# additional comments from: Heiko Rompel (HR)
########################################################
# Some variables. Set this to whatever you want
########################################################
#
# Where to download/install everything ? (below home directory)
#
INSTALLDIR=fpc-install
#
# Which FPC version to use ?
#
VERSION=3.0.0
CPUARCH=`uname -p`
#
# Install FPC/Lazarus as root ? (YES or NO)
#
USEROOT=YES
#
# Which lazarus version ?
# set either tag or branch variable. 
# If neither is set, trunk is used.
# When lazarus 1.6 is out, this becomes lazarus_1_6
#
# A newer RC is out (HR)
TAG=lazarus_1_6/
BRANCH=

#########################################################
# No variables after this point.
#########################################################
#
# Install preliminaries. This must be done as root.
#
sudo apt-get install subversion make binutils gdb gcc libgtk2.0-dev

#
# Check if the rest must be done as root.
#
if [ "$USEROOT" = YES ]; then
  SUDO=sudo
fi
#
#######################################################################
# Get and install FPC.
#######################################################################
#
# Create installation directory
#
mkdir ~/$INSTALLDIR
cd ~/$INSTALLDIR
#
# Fetch the necessary files for FPC.
#
wget ftp://ftpmaster.freepascal.org/pub/fpc/dist/$VERSION/source/fpc-$VERSION.source.tar.gz
wget ftp://ftpmaster.freepascal.org/pub/fpc/dist/$VERSION/$CPUARCH-linux/fpc-$VERSION.$CPUARCH-linux.tar
#
# extract installer.
#
tar xvf fpc-3.0.0.$CPUARCH-linux.tar
cd fpc-3.0.0.$CPUARCH-linux
#
# Install FPC (possibly as root)
#
$SUDO sh ./install.sh
#
# Extract sources.
#
cd ~
tar xvzf $INSTALLDIR/fpc-$VERSION.source.tar.gz
cd ~/$INSTALLDIR
#
#######################################################################
# Get and install Lazarus
#######################################################################
#
# Determine SVN url
#
BASEURL=http://svn.freepascal.org/svn/lazarus/
#
if [ ! -z "$TAG" ]; then
  SVNURL=$BASEURL/tags/$TAG
else 
  if [ ! -z "$BRANCH" ]; then
    SVNURL=$BASEURL/branches/$BRANCH
  else
    SVNURL=$BASEURL/trunk
  fi  
fi  
#
# Check out sources
#
svn co $SVNURL lazarus
#
# Build the IDE
#
cd lazarus
make bigide
#
# Install lazarus (possibly as root)
#
$SUDO make install
#
# That's all folks !
#
# After install Lazarus Restart Linux.

